function [GAM1, RS, D, A, G, TAUN, Y, C, N, W, K, RK, IV, R, TAUC, TB] = ss_competitive_equilibrium(N,TAUN,BETTA,DELTA,ALFA,D_Y,G_Y);
% Steady state taking as given:   
% N    = Hours
% TAUN = Labor taxes
% D_Y  = Debt to GDP ratio
% G_Y  = Government Spending to GDP ratio
% A    = Productivity shock
% and parameters: BETTA, DELTA and ALFA
% 
% Parameters to be determined: GAM1

A = 1;

R = 1 / BETTA;

RK = (1 / BETTA) - (1 - DELTA);

K_OVER_N = ( (1/ALFA) * RK ) ^ ( 1 / (ALFA-1) ); %capital-labor ratio

W = (1 - ALFA) * (K_OVER_N^ALFA);

K = K_OVER_N * N;

Y = (K^ALFA) * (N^(1-ALFA));

IV = DELTA * K;

G = G_Y*Y;

D = D_Y * Y;

RS = R; 

TB = (R-1) * D ;

C = Y - TB - IV - G;

TAUC = (G - TAUN* W * N)/C;

GAM1 = (1 - TAUN) * W *(1 - N)/ C / (1 + TAUC); 
